#version 430

layout (location = 0) in vec3 position;
layout (location = 1) in vec3 velocity;
layout (location = 2) in vec3 color;
layout (location = 3) in float lifetime;
layout (location = 4) in float size;
layout (location = 5) in int type;

out vec3 position_pass;
out vec3 velocity_pass;
out vec3 color_pass;
out float lifetime_pass;
out float size_pass;
out int type_pass;

void main() {
  position_pass = position;
  velocity_pass = velocity;
  color_pass = color;
  lifetime_pass = lifetime;
  size_pass = size;
  type_pass = type;
}